import string
import json
import geopandas as gpd
import matplotlib.pyplot as plt


# get_relation returns the geojson data for a selected body of water
def get_relation(self, body_of_water: string):
    # Load GeoJSON data using geopandas
    geo_data = gpd.read_file("server/map/mjosa.geojson")

    # Filter only polygons
    polygon_data = geo_data[geo_data['geometry'].geom_type == 'Polygon']

    # Plot polygons
    polygon_data.plot()
    plt.title('Polygons in Mjøsa GeoJSON')
    plt.xlabel('Longitude')
    plt.ylabel('Latitude')
    plt.show()

    # Convert GeoDataFrame to GeoJSON-like dictionary
    geojson_dict = json.loads(polygon_data.to_json())

    # Convert response data to JSON string
    response_json = json.dumps(geojson_dict)

    # Set headers
    self.send_response(200)
    self.send_header("Content-type", "application/json")
    self.end_headers()

    # Write coordinates to response object
    self.wfile.write(response_json.encode('utf-8'))
